Package Details: touchegg 1.1.1-3

Git Clone URL: https://aur.archlinux.org/touchegg.git (read-only, click to copy)
Package Base: touchegg
Description: Multitouch gesture recognizer
Upstream URL: https://code.google.com/p/touchegg/
Keywords: gesture multitouch touchscreen
Licenses: GPL
Submitter: matthewbauer
Maintainer: AwesomeHaircut
Last Packager: thurstylark
Votes: 83
Popularity: 0.000153
First Submitted: 2011-02-22 23:32
Last Updated: 2016-09-22 00:25

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

chenxiaolong commented on 2012-03-13 20:51

And I remember reading somewhere on the Launchpad mailing lists that qt needs to be patched for multitouch. You may need to install qt-ubuntu.

chenxiaolong commented on 2012-03-13 20:49

@paulinchenk: Okay, first of all, please revert back to the Arch Linux versions of the packages. Sorry about that! The new Xorg now includes the XInput 2.2 needed for touchegg and utouch.

Anonymous comment on 2012-02-25 20:34

Yes, I installed all the required packages, but still no luck. The segmentation fault error is somehow related to the touchegg.conf file I think, cause sometimes after deleting and recreating the file, I don't got an error. But still touchegg doesn't recognize any gesture and on 5 finger tab I get following error: GRAIL WARNING (v3/gesture.cpp:IsOwned:253): failed to get touch from frame.

chenxiaolong commented on 2012-02-24 16:48

@paulincheck: Hmmm...I'll look into the segmentation fault error. For touchegg to work, Ubuntu's Xorg and uTouch needs to be installed, which is the following packages:

inputproto-ubuntu
libx11-ubuntu
libxi-ubuntu
xorg-xinput-ubuntu
mtdev
utouch-evemu
utouch-frame
fixesproto-ubuntu
libxfixes-ubuntu
xorg-server-ubuntu
utouch-grail
utouch-geis
xf86-input-evdev-ubuntu
xf86-input-synaptics-ubuntu

It's a lot of packages, but unfortunately all of them are needed :(. Please make sure all of them are installed.

Anonymous comment on 2012-02-24 13:57

Thank you very much for your work, at least I was able to install touchegg. But if I try to start it I get an segmentation fault error.
Any ideas how to fix this?

Is it necessary to install the xf86-input-synaptics-ubuntu as well? Cause without it I am not able to move the cursor at all.

chenxiaolong commented on 2012-02-13 23:01

@paulinchenk: It should be ready now :)

Anonymous comment on 2012-02-13 21:41

thanks

chenxiaolong commented on 2012-02-07 16:13

@paulinchenk: I'm currently in the process of updating the Ubuntu xorg package :-) I'll let you know when it's ready.

Anonymous comment on 2012-02-07 10:27

Hi there,

this is my first post here, just started wih Arch ...
How can I manage it, to get this working? At the moment I am stuck at installing xorg-server-common-ubuntu fails at build().
Thanks in advance

chenxiaolong commented on 2011-09-09 22:00

There is no GUI for version 1.0 yet.